You are not logged in.

#1 2012-11-05 21:41:37

microcz
Member
Registered: 2008-11-08
Posts: 44

[SOLVED] Intel DRI does not work after update

Hi,
after update of kernel from 3.5.6 to 3.6.5 and intel driver and deletion of dri2proto and mesa via pacman -Qdt (there are no more dependencies).. acceleration is no longer working

$ export LIBGL_DEBUG=verbose; glxinfo | grep renderer
libGL: OpenDriver: trying /usr/lib/xorg/modules/dri/tls/i965_dri.so
libGL: OpenDriver: trying /usr/lib/xorg/modules/dri/i965_dri.so
libGL error: failed to open drm device: Permission denied
libGL error: failed to load driver: i965
libGL: OpenDriver: trying /usr/lib/xorg/modules/dri/tls/swrast_dri.so
libGL: OpenDriver: trying /usr/lib/xorg/modules/dri/swrast_dri.so
libGL: Can't open configuration file /etc/drirc: No such file or directory.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 0x301)

Configuration:
SandyBridge I5, Intel HD 3000

Can somebody help?

Last edited by microcz (2012-11-07 06:15:23)

Offline

#2 2012-11-05 22:10:06

karol
Archivist
Registered: 2009-05-06
Posts: 25,432

Re: [SOLVED] Intel DRI does not work after update

Not sure if it helps, but did you reboot after updating the kernel?

$ pkgfile /usr/lib/xorg/modules/dri/swrast_dri.so
extra/libgl
$ pkgfile /usr/lib/xorg/modules/dri/i965_dri.so
extra/intel-dri

Do you have these packages installed?

Last edited by karol (2012-11-05 22:15:14)

Offline

#3 2012-11-06 05:55:51

microcz
Member
Registered: 2008-11-08
Posts: 44

Re: [SOLVED] Intel DRI does not work after update

Hi Karol,

1) Of cause I did, several times sad

2) Both packages are installed

yaourt -Ss libgl | grep installed
extra/libgl 9.0-1 [installed]
yaourt -Ss intel-dri | grep installed
extra/intel-dri 9.0-1 [installed]

Last edited by microcz (2012-11-06 05:56:20)

Offline

#4 2012-11-06 07:35:08

karol
Archivist
Registered: 2009-05-06
Posts: 25,432

Re: [SOLVED] Intel DRI does not work after update

OT: A simpler way to check if some packages are installed:

$ pacman -Q intel-dri libgl foobar
intel-dri 9.0-1
libgl 9.0-1
error: package 'foobar' was not found

What's the output of 'groups'? Maybe you need to add yourself to 'video' group?
http://www.linuxquestions.org/questions … nf-794105/
http://www.mail-archive.com/dri-devel@l … 41313.html

Offline

#5 2012-11-07 06:13:56

microcz
Member
Registered: 2008-11-08
Posts: 44

Re: [SOLVED] Intel DRI does not work after update

Thank you very much Karol, after:

gpasswd -a [user] video

Everything works:

$ glxinfo | grep renderer
OpenGL renderer string: Mesa DRI Intel(R) Sandybridge Mobile

Offline

Board footer

Powered by FluxBB